pub mod lua;
pub mod discord;
pub mod stdin;
pub mod echo;
pub mod random;
pub mod pvn;
pub mod echobox;

pub mod loader;

use Tenquestionmarks;
use event::Envelope;

use std::sync::Arc;
use std::sync::mpsc::{Sender, Receiver};

pub trait Module : Sync {
    fn register (&self, _: &Tenquestionmarks) {}
    fn run (&self, _: Sender<Envelope>, _: Receiver<Arc<Envelope>>) {}
}
